%bcond_without check

%global goipath         github.com/envoyproxy/protoc-gen-validate
Version:                0.4.1

%gometa

%global common_description %{expand:
Protoc plugin to generate polyglot message validators.}

%global golicenses      LICENSE NOTICE
%global godocs          CODE_OF_CONDUCT.md requirements.txt\\\
                        rule_comparison.md README.md java/RELEASING.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Protoc plugin to generate polyglot message validators

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/protobuf/protoc-gen-go/descriptor)
BuildRequires:  golang(github.com/golang/protobuf/ptypes)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/any)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/duration)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/timestamp)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/wrappers)
BuildRequires:  golang(github.com/iancoleman/strcase)
BuildRequires:  golang(github.com/lyft/protoc-gen-star)
BuildRequires:  golang(github.com/lyft/protoc-gen-star/lang/go)
BuildRequires:  golang(golang.org/x/net/context)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/protoc-gen-validate %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE NOTICE
%doc CODE_OF_CONDUCT.md requirements.txt rule_comparison.md README.md
%doc java/RELEASING.md
%{_bindir}/*

%gopkgfiles

%changelog
* Fri Sep 13 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.1-1
- initial build
